Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs	(revision 51)
@@ -1462,13 +1860,12 @@
                 lblApprovalCount.Text = "";
 
                 // 工事コード・承認機能番号取得
-                int iConstructionCode = m_ConstructionBaseInfo.ConstructionCode;
                 int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("注文書承認")).Key;
                 // 担当部署取得
-                int DepartmentCode = ClsApprovalPermission.GetFromConstructionAndApprovalTheDepartment(m_ConstructionBaseInfo.ConstructionCode, iApprovalCode);
+                int DepartmentCode = ClsApprovalPermission.GetFromConstructionAndApprovalTheDepartment(m_ConstructionCode, iApprovalCode, m_OrderNo);
 
                 // 承認データ取得
-                int ApprovalCount = ClsApprovalPermission.GetApprovalDataCount(iConstructionCode, iApprovalCode);
+                int ApprovalCount = ClsApprovalPermission.GetApprovalDataCount(m_ConstructionCode, iApprovalCode, m_OrderNo);
 
                 // 承認経路マスタ取得
                 int MasterCount = ClsApprovalPermission.GetApprovalMasterCount(iApprovalCode, DepartmentCode);
@@ -2188,6 +2585,9 @@
                 int TabCnt = TabCollections.SelectedIndex;
                 PurchaseOrderInputPage DataTab = m_TabPageList[TabCnt];
 
+                // 協力会社変更リストへ追加
+                m_ChangeCompany.Add(new KeyValuePair<int, int>(DataTab.OrderCompanyCode, selRec.CompanyCode));
+
                 // 協力会社コード
                 DataTab.OrderCompanyCode = selRec.CompanyCode;
                 // 協力会社名セット
@@ -2248,5 +2648,52 @@
         }
         #endregion
 
+        #region 直接表示データリスト作成
+        /// <summary>
+        /// 直接表示データリスト作成
+        /// </summary>
+        private bool CreateDirectData()
+        {
+            IOProcessApprovalDetail ProAppDDB = new IOProcessApprovalDetail();
+            try
+            {
+                string strSQL = ProAppDDB.CreatePrimarykeyString(m_ConstructionCode
+                                                                , (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval
+                                                                , m_OrderNo);
+                List<ProcessApprovalDetail> DetailList = new List<ProcessApprovalDetail>();
+                if (!ProAppDDB.SelectAction(strSQL, ref DetailList)) return false;
+
+                m_DetailList.Clear();
+                foreach (ProcessApprovalDetail CurRec in DetailList)
+                {
+                    m_DetailList.Add(new object[] {m_ConstructionCode,      // ConstructionCode
+                                                    "",                     // FirstString,
+                                                    "",                     // SecondString,
+                                                    0,                      // CompanyCode,
+                                                    "",                     // CompanyName,
+                                                    0,                      // ExecutionAmount,
+                                                    m_ConstructionCode,     // SourceCode,
+                                                    0,                      // PurchaseOrderflg,
+                                                    "",                     // DetailString,
+                                                    0,                      // ApprovalStatus,
+                                                    CurRec.LinkCode,        // PurchaseSeqNo,
+                                                    0,                      // LedgerLine,
+                                                    CurRec.LinkCode         // OrderNo,
+                                                    });
+                }
+
+                return true;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                ProAppDDB.close(); ProAppDDB = null;
+            }
+        }
+        #endregion
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/ProcessControl.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/ProcessControl.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/ProcessControl.cs	(revision 51)
@@ -26,10 +26,12 @@
 {
     partial class FrmPurchaseOrderEntry
     {
+        #region 自プロセスの番号
         /// <summary>
         /// 自プロセスの番号を持つ
         /// </summary>
         private static int s_CurrentProcessNo = (int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry;
+ 		#endregion
 
         #region プロセスコンテキストメニュー変数
         /// <summary>
@@ -38,13 +40,6 @@
         private ContextMenuStrip m_ProcessContextMenuStrip;
         #endregion
 
-        #region 他プロセスフォーム配列変数
-        /// <summary>
-        /// 他プロセスフォーム配列
-        /// </summary>
-        //private Form[] m_SubFormHandleList = null;
-        #endregion
-
         #region 別プロセス移動メニュー作成
         /// <summary>
         /// 別プロセス移動メニュー作成
@@ -114,6 +109,7 @@
                             handle = ProcessExecute_ConstructionBudget;
                             break;
                         case (int)ClsExcute.ProcessExecuteNo.ConstructionCopyList:      //  8:工事案件コピー機能
+                            if (m_EditLock) continue;
                             handle = ProcessExecute_ConstructionCopyList;
                             break;
                         case (int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry:        //  9:注文書入力
@@ -202,6 +198,7 @@
 
                     // 画面クローズ
                     Handle.SubFormHandle.Close();
+                    if (Handle.SubFormHandle != null) Handle.SubFormHandle.Dispose();
                     ClsExcute.SubFormHandleList[i].SubFormHandle = null;
                 }
             }
@@ -235,7 +232,7 @@
         }
         #endregion
 
-        #region ---------- 他プロセス起動ハンドラ群　START
+        #region    // ---------- 他プロセス起動ハンドラ群　START
         #region 一気にメニューへ戻る
         /// <summary>
         /// 一気にメニューへ戻る
@@ -279,6 +276,7 @@
         /// <param name="e"></param>
         private void ProcessExecute_ConstructionBaseInfo(object sender, EventArgs e)
         {
+            FrmTyingConstrDiag frmTying = new FrmTyingConstrDiag();
             try
             {
                 int ProcessNo = (int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo;
@@ -296,11 +294,25 @@
                     if (!DataEntryProcess()) return;
                 }
 
+                // 増減工事はサブフォームを表示する
+                int SelConstrCode = m_ConstructionCode;
+                if (m_ConstructionBaseInfo.TyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Standard ||
+                    m_ConstructionBaseInfo.JoinFlg != (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                {
+                    frmTying.ParentAdd = true;
+                    frmTying.OperationProcess = (int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo;
+                    frmTying.ConstructionCode = m_ConstructionCode;
+                    frmTying.ShowDialog();
+                    if (frmTying.EndButton == DialogResult.No) return;
+                    SelConstrCode = frmTying.ConstructionCode;
+                }
+
                 // 工事情報入力起動
                 frm = new FrmConstructionBaseInfo();
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-                frm.ConstructionCode = m_ConstructionCode;
+                frm.ConstructionCode = SelConstrCode;
+                frm.EditLock = m_EditLock;
                 frm.SubForm = true;
                 frm.ShowInTaskbar = true;
 
@@ -312,6 +324,10 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
+            finally
+            {
+                frmTying.Dispose(); frmTying = null;
+            }
         }
         #endregion
 
@@ -323,6 +339,7 @@
         /// <param name="e"></param>
         private void ProcessExecute_EstimateInput(object sender, EventArgs e)
         {
+            FrmTyingConstrDiag frmTying = new FrmTyingConstrDiag();
             try
             {
                 int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
@@ -340,11 +357,24 @@
                     if (!DataEntryProcess()) return;
                 }
 
+                // 増減工事はサブフォームを表示する
+                int SelConstrCode = m_ConstructionCode;
+                if (m_ConstructionBaseInfo.TyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Standard ||
+                    m_ConstructionBaseInfo.JoinFlg != (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                {
+                    frmTying.OperationProcess = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
+                    frmTying.ConstructionCode = m_ConstructionCode;
+                    frmTying.ShowDialog();
+                    if (frmTying.EndButton == DialogResult.No) return;
+                    SelConstrCode = frmTying.ConstructionCode;
+                }
+
                 // 積算見積書入力起動
                 frm = new FrmEstimateInput();
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-                frm.ConstructionCode = m_ConstructionCode;
+                frm.ConstructionCode = SelConstrCode;
+                frm.EditLock = m_EditLock;
                 frm.SubForm = true;
                 frm.ShowInTaskbar = true;
 
@@ -356,6 +386,10 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
+            finally
+            {
+                frmTying.Dispose(); frmTying = null;
+            }
         }
         #endregion
 
@@ -367,6 +401,7 @@
         /// <param name="e"></param>
         private void ProcessExecute_EstimatePrint(object sender, EventArgs e)
         {
+            FrmTyingConstrDiag frmTying = new FrmTyingConstrDiag();
             try
             {
                 int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimatePrint;
@@ -384,11 +419,24 @@
                     if (!DataEntryProcess()) return;
                 }
 
+                // 増減工事はサブフォームを表示する
+                int SelConstrCode = m_ConstructionCode;
+                if (m_ConstructionBaseInfo.TyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Standard ||
+                    m_ConstructionBaseInfo.JoinFlg != (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                {
+                    frmTying.OperationProcess = (int)ClsExcute.ProcessExecuteNo.EstimatePrint;
+                    frmTying.ConstructionCode = m_ConstructionCode;
+                    frmTying.ShowDialog();
+                    if (frmTying.EndButton == DialogResult.No) return;
+                    SelConstrCode = frmTying.ConstructionCode;
+                }
+
                 // 積算見積書印刷起動
                 frm = new FrmEstimatePrint();
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-                frm.ConstructionCode = m_ConstructionCode;
+                frm.ConstructionCode = SelConstrCode;
+                frm.EditLock = m_EditLock;
                 frm.SubForm = true;
                 frm.ShowInTaskbar = true;
 
@@ -400,6 +448,10 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
+            finally
+            {
+                frmTying.Dispose(); frmTying = null;
+            }
         }
         #endregion
 
@@ -411,6 +463,7 @@
         /// <param name="e"></param>
         private void ProcessExecute_EstimateBudget(object sender, EventArgs e)
         {
+            FrmTyingConstrDiag frmTying = new FrmTyingConstrDiag();
             try
             {
                 int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimateBudget;
@@ -428,11 +481,24 @@
                     if (!DataEntryProcess()) return;
                 }
 
+                // 増減工事はサブフォームを表示する
+                int SelConstrCode = m_ConstructionCode;
+                if (m_ConstructionBaseInfo.TyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Standard ||
+                    m_ConstructionBaseInfo.JoinFlg != (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                {
+                    frmTying.OperationProcess = (int)ClsExcute.ProcessExecuteNo.EstimateBudget;
+                    frmTying.ConstructionCode = m_ConstructionCode;
+                    frmTying.ShowDialog();
+                    if (frmTying.EndButton == DialogResult.No) return;
+                    SelConstrCode = frmTying.ConstructionCode;
+                }
+
                 // 積算予算書入力起動
                 frm = new FrmEstimateBudget();
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-                frm.ConstructionCode = m_ConstructionCode;
+                frm.ConstructionCode = SelConstrCode;
+                frm.EditLock = m_EditLock;
                 frm.SubForm = true;
                 frm.ShowInTaskbar = true;
 
@@ -444,6 +510,10 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
+            finally
+            {
+                frmTying.Dispose(); frmTying = null;
+            }
         }
         #endregion
 
@@ -455,6 +525,7 @@
         /// <param name="e"></param>
         private void ProcessExecute_ConstructionBudget(object sender, EventArgs e)
         {
+            FrmTyingConstrDiag frmTying = new FrmTyingConstrDiag();
             try
             {
                 int ProcessNo = (int)ClsExcute.ProcessExecuteNo.ConstructionBudget;
@@ -472,11 +543,24 @@
                     if (!DataEntryProcess()) return;
                 }
 
+                // 増減工事はサブフォームを表示する
+                int SelConstrCode = m_ConstructionCode;
+                if (m_ConstructionBaseInfo.TyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Standard ||
+                    m_ConstructionBaseInfo.JoinFlg != (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                {
+                    frmTying.OperationProcess = (int)ClsExcute.ProcessExecuteNo.ConstructionBudget;
+                    frmTying.ConstructionCode = m_ConstructionCode;
+                    frmTying.ShowDialog();
+                    if (frmTying.EndButton == DialogResult.No) return;
+                    SelConstrCode = frmTying.ConstructionCode;
+                }
+
                 // 工事予算書入力起動
                 frm = new FrmConstructionBudget();
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-                frm.ConstructionCode = m_ConstructionCode;
+                frm.ConstructionCode = SelConstrCode;
+                frm.EditLock = m_EditLock;
                 frm.SubForm = true;
                 frm.ShowInTaskbar = true;
 
@@ -488,6 +572,10 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
+            finally
+            {
+                frmTying.Dispose(); frmTying = null;
+            }
         }
         #endregion
 
@@ -499,6 +587,7 @@
         /// <param name="e"></param>
         private void ProcessExecute_ConstructionCopyList(object sender, EventArgs e)
         {
+            FrmTyingConstrDiag frmTying = new FrmTyingConstrDiag();
             try
             {
                 int ProcessNo = (int)ClsExcute.ProcessExecuteNo.ConstructionCopyList;
@@ -516,11 +605,23 @@
                     if (!DataEntryProcess()) return;
                 }
 
+                // 増減工事はサブフォームを表示する
+                int SelConstrCode = m_ConstructionCode;
+                if (m_ConstructionBaseInfo.TyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Standard ||
+                    m_ConstructionBaseInfo.JoinFlg != (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                {
+                    frmTying.OperationProcess = (int)ClsExcute.ProcessExecuteNo.ConstructionCopyList;
+                    frmTying.ConstructionCode = m_ConstructionCode;
+                    frmTying.ShowDialog();
+                    if (frmTying.EndButton == DialogResult.No) return;
+                    SelConstrCode = frmTying.ConstructionCode;
+                }
+
                 // 工事案件コピー起動
                 frm = new FrmNewOrContinueCopy();
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-                frm.ConstructionCode = m_ConstructionCode;
+                frm.ConstructionCode = SelConstrCode;
                 frm.ShowInTaskbar = true;
 
                 // クロースドハンドラをこちらで定義する
@@ -531,6 +632,10 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
+            finally
+            {
+                frmTying.Dispose(); frmTying = null;
+            }
         }
         #endregion
 
@@ -542,6 +647,7 @@
         /// <param name="e"></param>
         private void ProcessExecute_PurchaseOrderEntry(object sender, EventArgs e)
         {
+            FrmTyingConstrDiag frmTying = new FrmTyingConstrDiag();
             try
             {
                 int ProcessNo = (int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry;
@@ -559,11 +665,25 @@
                     if (!DataEntryProcess()) return;
                 }
 
+                // 増減工事はサブフォームを表示する
+                int SelConstrCode = m_ConstructionCode;
+                if (m_ConstructionBaseInfo.TyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Standard ||
+                    m_ConstructionBaseInfo.JoinFlg != (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                {
+                    frmTying.ParentAdd = true;
+                    frmTying.OperationProcess = (int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry;
+                    frmTying.ConstructionCode = m_ConstructionCode;
+                    frmTying.ShowDialog();
+                    if (frmTying.EndButton == DialogResult.No) return;
+                    SelConstrCode = frmTying.ConstructionCode;
+                }
+
                 // 注文書入力起動
                 frm = new FrmPurchaseOrderEntry();
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-                frm.ConstructionCode = m_ConstructionCode;
+                frm.ConstructionCode = SelConstrCode;
+                frm.EditLock = m_EditLock;
                 frm.SubForm = true;
                 frm.ShowInTaskbar = true;
 
@@ -575,6 +695,10 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
+            finally
+            {
+                frmTying.Dispose(); frmTying = null;
+            }
         }
         #endregion
 
@@ -586,6 +710,7 @@
         /// <param name="e"></param>
         private void ProcessExecute_PurchaseOrderPrint(object sender, EventArgs e)
         {
+            FrmTyingConstrDiag frmTying = new FrmTyingConstrDiag();
             try
             {
                 int ProcessNo = (int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint;
@@ -603,11 +728,25 @@
                     if (!DataEntryProcess()) return;
                 }
 
+                // 増減工事はサブフォームを表示する
+                int SelConstrCode = m_ConstructionCode;
+                if (m_ConstructionBaseInfo.TyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Standard ||
+                    m_ConstructionBaseInfo.JoinFlg != (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                {
+                    frmTying.ParentAdd = true;
+                    frmTying.OperationProcess = (int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint;
+                    frmTying.ConstructionCode = m_ConstructionCode;
+                    frmTying.ShowDialog();
+                    if (frmTying.EndButton == DialogResult.No) return;
+                    SelConstrCode = frmTying.ConstructionCode;
+                }
+
                 // 注文書印刷起動
                 frm = new FrmPurchaseOrderPrint();
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-                frm.ConstructionCode = m_ConstructionCode;
+                frm.ConstructionCode = SelConstrCode;
+                frm.EditLock = m_EditLock;
                 frm.SubForm = true;
                 frm.ShowInTaskbar = true;
 
@@ -619,6 +758,10 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
+            finally
+            {
+                frmTying.Dispose(); frmTying = null;
+            }
         }
         #endregion
 
@@ -652,6 +795,7 @@
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
                 frm.ConstructionCode = ClsProcessExist.GetParentConstrCode(m_ConstructionCode);
+                frm.EditLock = m_EditLock;
                 frm.SubForm = true;
                 frm.ShowInTaskbar = true;
 
@@ -696,6 +840,8 @@
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
                 frm.ConstructionCode = m_ConstructionCode;
+                frm.PersonCode = CommonMotions.LoginUserData.PersonCode;
+                frm.EditLock = m_EditLock;
                 frm.SubForm = true;
                 frm.ShowInTaskbar = true;
 
@@ -712,7 +858,7 @@
 
         #endregion // ---------- 他プロセス起動ハンドラ群　END
 
-        #region ---------- 他プロセス終了ハンドラ群　START
+        #region    // ---------- 他プロセス終了ハンドラ群　START
         #region 工事情報入力のクローズを取得する
         /// <summary>
         /// 工事情報入力のクローズを取得する
@@ -947,11 +1093,12 @@
                 // コピー作成データフラグセット
                 ClsExcute.ProcControlPara[NowPoint].BoolExecParameter.Add(true);
 
-                this.Activate();
+                //this.Activate();
 
                 // 終了処理フラグOff
                 m_CloseingProcessOn = false;
 
+                this.Close();
             }
             catch (Exception ex)
             {
@@ -1120,6 +1267,5 @@
         #endregion
 
         #endregion // ---------- 他プロセス終了ハンドラ群　END
-
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/PurchaseOrderInputPage.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/PurchaseOrderInputPage.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/PurchaseOrderInputPage.cs	(revision 51)
@@ -20,7 +20,11 @@
         /// 発注先会社コード
         /// </summary>
         private int                             m_OrderCompanyCode = 0;
-        
+        /// <summary>
+        /// 注文書枝番
+        /// </summary>
+        private int                             m_SeqNo = 0;
+
         #region ベースタブ
         /// <summary>
         /// タブページ
@@ -87,12 +91,12 @@
         /// <summary>
         /// グリッドテキストボックスカラム
         /// </summary>
-        private DataGridViewTextBoxColumn[]     m_Group1TextBoxColumn = new DataGridViewTextBoxColumn[10];
+        private DataGridViewTextBoxColumn[]     m_Group1TextBoxColumn = new DataGridViewTextBoxColumn[FrmPurchaseOrderEntry.GridColumnCount];
 
         /// <summary>
         /// セルスタイル
         /// </summary>
-        private DataGridViewCellStyle[]         m_Group1CellStyle = new DataGridViewCellStyle[10];
+        private DataGridViewCellStyle[]         m_Group1CellStyle = new DataGridViewCellStyle[FrmPurchaseOrderEntry.GridColumnCount];
         #endregion
 
         #region 簡易版支払い条件グループ
@@ -181,7 +185,15 @@
             get { return m_OrderCompanyCode; }
             set { m_OrderCompanyCode = value; }
         }
-        
+        /// <summary>
+        /// 注文書枝番
+        /// </summary>
+        public int SeqNo
+        {
+            get { return m_SeqNo; }
+            set { m_SeqNo = value; }
+        }
+
         #region ベースタブ
         /// <summary>
         /// タブページ
